Request
Date: 2014-05-09

mpi

## Class Request

- java.lang.Object
- - mpi.Request

- Direct Known Subclasses:
    Prequest

      public class Request
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `mpjdev.Request` | `req`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Request(mpjdev.Request req)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `Cancel()` Mark a pending nonblocking communication for cancellation.
    `void` | `finalize()`
    `boolean` | `Is_null()` Test if request object is void.
    `Status` | `Test()` Returns a status object if the operation identified by the request is complete, or a null reference otherwise.
    `static Status[]` | `Testall(Request[] r)` Tests for completion of all of the operations associated with active requests.
    `static Status` | `Testany(Request[] r)` Tests for completion of either one or none of the operations associated with active requests.
    `static Status[]` | `Testsome(Request[] r)` Behaves like `Waitsome`, except that it returns immediately.
    `Status` | `Wait()` Blocks until the operation identified by the request is complete.
    `static Status[]` | `Waitall(Request[] r)` Blocks until all of the operations associated with the active requests in the array have completed.
    `static Status` | `Waitany(Request[] r)` Blocks until one of the operations associated with the active requests in the array has completed.
    `static Status[]` | `Waitsome(Request[] r)` Blocks until at least one of the operations associated with the active requests in the array has completed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### req

          public mpjdev.Request req

  - ### Constructor Detail

    - #### Request

          public Request(mpjdev.Request req)

  - ### Method Detail

    - #### Wait

          public Status Wait()
                      throws MPIException

      Blocks until the operation identified by the request is complete.

      returns: | status object

      Java binding of the MPI operation `MPI_WAIT`.

      After the call returns, the request object becomes inactive.

      Throws:
        `MPIException`

    - #### Test

          public Status Test()
                      throws MPIException

      Returns a status object if the operation identified by the request is complete, or a null reference otherwise.

      returns: | status object or null reference

      Java binding of the MPI operation `MPI_TEST`.

      After the call, if the operation is complete (ie, if the return value is non-null), the request object becomes inactive.

      Throws:
        `MPIException`

    - #### Testany

          public static Status Testany(Request[] r)
                                throws MPIException

      Tests for completion of either one or none of the operations associated with active requests.

      `array_of_requests` | array of requests
      returns: | status object or null reference

      Java binding of the MPI operation `MPI_TESTANY`.

      If some request completed, the index in `array_of_requests` for that request can be obtained from the returned status object through the. The corresponding element of `array_of_requests` becomes inactive. If no request completed, `Testany` returns a null reference.

      Throws:
        `MPIException`

    - #### finalize

          public void finalize()
                        throws MPIException

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `MPIException`

    - #### Is_null

          public boolean Is_null()
                          throws MPIException

      Test if request object is void.

      returns: | true if the request object is void, false otherwise

      Throws:
        `MPIException`

    - #### Waitall

          public static Status[] Waitall(Request[] r)
                                  throws MPIException

      Blocks until all of the operations associated with the active requests in the array have completed.

      `array_of_requests` | array of requests
      returns: | array of status objects

      Java binding of the MPI operation `MPI_WAITALL`.

      The result array will be the same size as `array_of_requests`. On exit, requests become inactive. If the input value of `arrayOfRequests` contains inactive requests, corresponding elements of the result array will contain null status references.

      Throws:
        `MPIException`

    - #### Waitany

          public static Status Waitany(Request[] r)
                                throws MPIException

      Blocks until one of the operations associated with the active requests in the array has completed.

      `array_of_requests` | array of requests
      returns: | status object

      Java binding of the MPI operation `MPI_WAITANY`.

      The index in `array_of_requests` for the request that completed can be obtained from the returned status object through the `Status.index` field. The corresponding element of `array_of_requests` becomes inactive.

      Throws:
        `MPIException`

    - #### Testall

          public static Status[] Testall(Request[] r)
                                  throws MPIException

      Tests for completion of all of the operations associated with active requests.

      `array_of_requests` | array of requests
      returns: | array of status objects

      Java binding of the MPI operation `MPI_TESTALL`.

      If all operations have completed, the exit value of the argument array and the result array are as for `Waitall`. If any operation has not completed, the result value is null and no element of the argument array is modified.

      Throws:
        `MPIException`

    - #### Waitsome

          public static Status[] Waitsome(Request[] r)
                                   throws MPIException

      Blocks until at least one of the operations associated with the active requests in the array has completed.

      `array_of_requests` | array of requests
      returns: | array of status objects

      Java binding of the MPI operation `MPI_WAITSOME`.

      The size of the result array will be the number of operations that completed. The index in `array_of_requests` for each request that completed can be obtained from the returned status objects through the `Status.index` field. The corresponding element in `array_of_requests` becomes inactive.

      Throws:
        `MPIException`

    - #### Testsome

          public static Status[] Testsome(Request[] r)
                                   throws MPIException

      Behaves like `Waitsome`, except that it returns immediately.

      `array_of_requests` | array of requests
      returns: | array of status objects

      Java binding of the MPI operation `MPI_TESTSOME`.

      If no operation has completed, `TestSome` returns an array of length zero and elements of `array_of_requests` are unchanged. Otherwise, arguments and return value are as for `Waitsome`.

      Throws:
        `MPIException`

    - #### Cancel

          public void Cancel()
                      throws MPIException

      Mark a pending nonblocking communication for cancellation. Java binding of the MPI operation `MPI_CANCEL`.
      Throws:
        `MPIException`